//
//  SMInspectorChooserChoice.h
//  SMInspectorKit
//
//  Created by Stephan Michels on 09.11.12.
//  Copyright (c) 2012 Stephan Michels. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SMViewController.h"


@interface SMInspectorChooserChoice : SMViewController

@property (nonatomic, weak, readonly) id owner;
@property (nonatomic) BOOL hidden;
@property (nonatomic) BOOL enabled;
@property (nonatomic, copy) NSImage *image;
//@property (nonatomic, copy) NSString *title;
@property (nonatomic, strong) id value;
@property (nonatomic, copy) NSArray *sliversAndChoosers;

- (id)initWithOwner:(id)owner;
- (id)init NS_UNAVAILABLE;
+ (id)new NS_UNAVAILABLE;

- (void)prepareForReuse;
- (void)refresh;

@end
