//
//  SMInspector.h
//  InterfaceInspector
//
//  Created by Stephan Michels on 24.07.13.
//  Copyright (c) 2013 Stephan Michels. All rights reserved.
//

#import "SMViewController.h"
#import "SMMacros.h"

@interface SMInspector : SMViewController

@property (nonatomic, weak, readonly) id owner;
@property (nonatomic) BOOL visible;
@property (nonatomic, copy) NSString *visibleKeyPath;
@property (nonatomic, strong) NSValueTransformer *visibleValueTransformer;
@property (nonatomic, copy) NSArray *slices;

- (id)initWithOwner:(id)owner;
- (id)init NS_UNAVAILABLE;
+ (id)new NS_UNAVAILABLE;

- (void)prepareForReuse;
- (void)refresh;

@end
