//
//  SMInspectorSizeProperty.h
//  InterfaceInspector
//
//  Created by Stephan Michels on 05.06.13.
//  Copyright (c) 2013 Stephan Michels. All rights reserved.
//

#import "SMInspectorProperty.h"
#import "SMInspectorNumberProperty.h"

@interface SMInspectorSizeProperty : SMInspectorProperty

@property (nonatomic, copy) NSString *widthTitle;
@property (nonatomic, copy) NSString *widthTitleKeyPath;
@property (nonatomic, copy) NSString *heightTitle;
@property (nonatomic, copy) NSString *heightTitleKeyPath;

@property (nonatomic, strong) NSNumber *increment;
@property (nonatomic, copy) NSString *incrementKeyPath;

@property (nonatomic) SMNumberFormatStyle formatStyle;
@property (nonatomic, copy) NSString *formatUnit;

@property (nonatomic) BOOL nilValueControlIsOffWhenNil;
@property (nonatomic, copy) NSString *nonNilValueKeyPath;

@property (nonatomic, copy) NSString *widthActionName;
@property (nonatomic, copy) NSString *heightActionName;

@end
